<?php
  function Redirigir($Pagina)
  {    
    /*echo"<script language=\"javascript\">".chr(13).chr(10);
    echo" window.location=\"$Pagina\" ".chr(13).chr(10);	
    echo"</script>".chr(13).chr(10);*/
	header("location:$Pagina");
  }// document.url
  function VerificarInicioSesion()
  {
    if(!isset($_SESSION['usuarioId'])) Redirigir("../index.php");
  }
  function getCboDias($DiaSelect)
  {
    if($DiaSelect=="01") $lista="<option value='01' selected>01</option>".chr(13).chr(10); else $lista="<option value='01'>01</option>".chr(13).chr(10);
    if($DiaSelect=="02") $lista.="<option value='02' selected>02</option>".chr(13).chr(10); else $lista.="<option value='02'>02</option>".chr(13).chr(10);
    if($DiaSelect=="03") $lista.="<option value='03' selected>03</option>".chr(13).chr(10); else $lista.="<option value='03'>03</option>".chr(13).chr(10);
    if($DiaSelect=="04") $lista.="<option value='04' selected>04</option>".chr(13).chr(10); else $lista.="<option value='04'>04</option>".chr(13).chr(10);
    if($DiaSelect=="05") $lista.="<option value='05' selected>05</option>".chr(13).chr(10); else $lista.="<option value='05'>05</option>".chr(13).chr(10);
    if($DiaSelect=="06") $lista.="<option value='06' selected>06</option>".chr(13).chr(10); else $lista.="<option value='06'>06</option>".chr(13).chr(10);
    if($DiaSelect=="07") $lista.="<option value='07' selected>07</option>".chr(13).chr(10); else $lista.="<option value='07'>07</option>".chr(13).chr(10);
    if($DiaSelect=="08") $lista.="<option value='08' selected>08</option>".chr(13).chr(10); else $lista.="<option value='08'>08</option>".chr(13).chr(10);
    if($DiaSelect=="09") $lista.="<option value='09' selected>09</option>".chr(13).chr(10); else $lista.="<option value='09'>09</option>".chr(13).chr(10);
    if($DiaSelect=="10") $lista.="<option value='10' selected>10</option>".chr(13).chr(10); else $lista.="<option value='10'>10</option>".chr(13).chr(10);
    if($DiaSelect=="11") $lista.="<option value='11' selected>11</option>".chr(13).chr(10); else $lista.="<option value='11'>11</option>".chr(13).chr(10);
    if($DiaSelect=="12") $lista.="<option value='12' selected>12</option>".chr(13).chr(10); else $lista.="<option value='12'>12</option>".chr(13).chr(10);
    if($DiaSelect=="13") $lista.="<option value='13' selected>13</option>".chr(13).chr(10); else $lista.="<option value='13'>13</option>".chr(13).chr(10);
    if($DiaSelect=="14") $lista.="<option value='14' selected>14</option>".chr(13).chr(10); else $lista.="<option value='14'>14</option>".chr(13).chr(10);
    if($DiaSelect=="15") $lista.="<option value='15' selected>15</option>".chr(13).chr(10); else $lista.="<option value='15'>15</option>".chr(13).chr(10);
    if($DiaSelect=="16") $lista.="<option value='16' selected>16</option>".chr(13).chr(10); else $lista.="<option value='16'>16</option>".chr(13).chr(10);
    if($DiaSelect=="17") $lista.="<option value='17' selected>17</option>".chr(13).chr(10); else $lista.="<option value='17'>17</option>".chr(13).chr(10);
    if($DiaSelect=="18") $lista.="<option value='18' selected>18</option>".chr(13).chr(10); else $lista.="<option value='18'>18</option>".chr(13).chr(10);
    if($DiaSelect=="19") $lista.="<option value='19' selected>19</option>".chr(13).chr(10); else $lista.="<option value='19'>19</option>".chr(13).chr(10);
    if($DiaSelect=="20") $lista.="<option value='20' selected>20</option>".chr(13).chr(10); else $lista.="<option value='20'>20</option>".chr(13).chr(10);
    if($DiaSelect=="21") $lista.="<option value='21' selected>21</option>".chr(13).chr(10); else $lista.="<option value='21'>21</option>".chr(13).chr(10);
    if($DiaSelect=="22") $lista.="<option value='22' selected>22</option>".chr(13).chr(10); else $lista.="<option value='22'>22</option>".chr(13).chr(10);
    if($DiaSelect=="23") $lista.="<option value='23' selected>23</option>".chr(13).chr(10); else $lista.="<option value='23'>23</option>".chr(13).chr(10);
    if($DiaSelect=="24") $lista.="<option value='24' selected>24</option>".chr(13).chr(10); else $lista.="<option value='24'>24</option>".chr(13).chr(10);
    if($DiaSelect=="25") $lista.="<option value='25' selected>25</option>".chr(13).chr(10); else $lista.="<option value='25'>25</option>".chr(13).chr(10);
    if($DiaSelect=="26") $lista.="<option value='26' selected>26</option>".chr(13).chr(10); else $lista.="<option value='26'>26</option>".chr(13).chr(10);
    if($DiaSelect=="27") $lista.="<option value='27' selected>27</option>".chr(13).chr(10); else $lista.="<option value='27'>27</option>".chr(13).chr(10);
    if($DiaSelect=="28") $lista.="<option value='28' selected>28</option>".chr(13).chr(10); else $lista.="<option value='28'>28</option>".chr(13).chr(10);
    if($DiaSelect=="29") $lista.="<option value='29' selected>29</option>".chr(13).chr(10); else $lista.="<option value='29'>29</option>".chr(13).chr(10);
    if($DiaSelect=="30") $lista.="<option value='30' selected>30</option>".chr(13).chr(10); else $lista.="<option value='30'>30</option>".chr(13).chr(10);
    if($DiaSelect=="31") $lista.="<option value='31' selected>31</option>".chr(13).chr(10); else $lista.="<option value='31'>31</option>".chr(13).chr(10);
    return $lista;
  }
  function getCboMeses($MesSelect)
  {
    if($MesSelect=="01") $lista="<option value='01' selected>Enero</option>".chr(13).chr(10); else $lista="<option value='01'>Enero</option>".chr(13).chr(10);
    if($MesSelect=="02") $lista.="<option value='02' selected>Febrero</option>".chr(13).chr(10); else $lista.="<option value='02'>Febrero</option>".chr(13).chr(10);
    if($MesSelect=="03") $lista.="<option value='03' selected>Marzo</option>".chr(13).chr(10); else $lista.="<option value='03'>Marzo</option>".chr(13).chr(10);
    if($MesSelect=="04") $lista.="<option value='04' selected>Abril</option>".chr(13).chr(10); else $lista.="<option value='04'>Abril</option>".chr(13).chr(10);
    if($MesSelect=="05") $lista.="<option value='05' selected>Mayo</option>".chr(13).chr(10); else $lista.="<option value='05'>Mayo</option>".chr(13).chr(10);
    if($MesSelect=="06") $lista.="<option value='06' selected>Junio</option>".chr(13).chr(10); else $lista.="<option value='06'>Junio</option>".chr(13).chr(10);
    if($MesSelect=="07") $lista.="<option value='07' selected>Julio</option>".chr(13).chr(10); else $lista.="<option value='07'>Julio</option>".chr(13).chr(10);
    if($MesSelect=="08") $lista.="<option value='08' selected>Agosto</option>".chr(13).chr(10); else $lista.="<option value='08'>Agosto</option>".chr(13).chr(10);
    if($MesSelect=="09") $lista.="<option value='09' selected>Septiembre</option>".chr(13).chr(10); else $lista.="<option value='09'>Septiembre</option>".chr(13).chr(10);
    if($MesSelect=="10") $lista.="<option value='10' selected>Octubre</option>".chr(13).chr(10); else $lista.="<option value='10'>Octubre</option>".chr(13).chr(10);
    if($MesSelect=="11") $lista.="<option value='11' selected>Noviémbre</option>".chr(13).chr(10); else $lista.="<option value='11'>Noviémbre</option>".chr(13).chr(10);
    if($MesSelect=="12") $lista.="<option value='12' selected>Diciémbre</option>".chr(13).chr(10); else $lista.="<option value='12'>Diciémbre</option>".chr(13).chr(10);
    return $lista;
  }
  function getCboAnnos($AnnoSelect)
  {
    $Anno=getAnno("");
    $lista="";
    for($i=1998;$i<=$Anno;$i++)
    {
        if($i==$AnnoSelect) $lista.="<option value='".$i."' selected>".$i."</option>".chr(13).chr(10); else $lista.="<option value='".$i."'>".$i."</option>".chr(13).chr(10);
    }
    return $lista;
  }
  function getDia($Fecha)
  {
    if($Fecha=="")
    {
      $Dia=date("d");
    }
    else
    {
      $Dia=substr($Fecha,6,2);
    }
    return $Dia;
  }
  function getMes($Fecha)
  {
    if($Fecha=="")
    {
      $Mes=date("m");
    }
    else
    {
      $Mes=substr($Fecha,4,2);
    }
    return $Mes;
  }
  function getAnno($Fecha)
  {
    if($Fecha=="")
    {
      $Anno=date("Y");
    }
    else
    {
      $Anno=substr($Fecha,0,4);
    }
    return $Anno;
  }
  function getFechaFormat($Fecha)
  {
    return (substr($Fecha,6,2)."/".substr($Fecha,4,2)."/".substr($Fecha,0,4));
  }
  function getNumTransacFormat($TransaccionId)
  {
    $Num="000000".$TransaccionId;
    $PosiIni=(strlen($Num)-6);
    return substr($Num,$PosiIni,6);
  }
  function getSemestreFormat($SemestreId)
  {
    $NumSem=substr($SemestreId,4,1);
    if($NumSem=="1") $Semestre=substr($SemestreId,0,4)." - I"; else $Semestre=substr($SemestreId,0,4)." - II";
    return $Semestre;
  }

  function getFechaLarga()
  {
    return date("d M, Y");
  }
  function getCboEstados($EstadoSelect)
  {
    if($EstadoSelect=="0") $lista="<option value='0' selected>Pendientes</option>".chr(13).chr(10); else $lista="<option value='0'>Pendientes</option>".chr(13).chr(10);
    if($EstadoSelect=="1") $lista.="<option value='1' selected>Cancelados</option>".chr(13).chr(10); else $lista.="<option value='1'>Cancelados</option>".chr(13).chr(10);
    if($EstadoSelect=="2") $lista.="<option value='2' selected>Anulados</option>".chr(13).chr(10); else $lista.="<option value='2'>Anulados</option>".chr(13).chr(10);
    return $lista;
  }

  function Mensaje($Contenido)
  {
    echo"<script language=\"vbscript\">".chr(13).chr(10);
    echo"  call msgbox(\"".$Contenido."\",vbInformation,\"Sistema de Pagos\") ".chr(13).chr(10);
    echo"</script>".chr(13).chr(10);
  }
  function NombreTipoUsuario($TipoUsuario)
  {
    switch($TipoUsuario)
    {
      case 0: $Nombre="ALUMNO";break;
      case 1: $Nombre="OGAA";break;
      case 2: $Nombre="RENTA";break;
      case 3: $Nombre="BIBLIOTECA";break;
    }
    return $Nombre;
  }
?>